﻿using Infragistics.Controls.Editors;
using Infragistics.Controls.Menus;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace ComboEditorTreeDropdown
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public ObservableCollection<Root> Root { get; set; }

        public MainWindow()
        {
            InitializeComponent();
            Root = new ObservableCollection<Root>();
            Root.Add(new Root { Display = "Root 1", Children = new ObservableCollection<SubRoot>() });
            Root.Add(new Root { Display = "Root 2", Children = new ObservableCollection<SubRoot>() });
            Root.Add(new Root { Display = "Root 3", Children = new ObservableCollection<SubRoot>() });

            Root[0].Children.Add(new SubRoot { Display = "Child 1" });
            Root[0].Children.Add(new SubRoot { Display = "Child 2" });

            Root[1].Children.Add(new SubRoot { Display = "Child 3" });
            this.DataContext = this;
        }
    }

    public class Root
    {
        public string Display { get; set; }

        public ObservableCollection<SubRoot> Children { get; set; }
    }
    public class SubRoot
    {
        public string Display { get; set; }
    }
}
